<template>
  <div class="login" v-bind:style="background">
    <div class="main">
       <form-login v-if="$route.name === 'sign-in'" />
       <form-sign-up v-else-if="$route.name === 'sign-up'" />
    </div>
  </div>
</template>

<script>
import Logo from '@/components/commons/Logo.vue'
import FormLogin from './FormLogin.vue'
import FormSignUp from "@/views/authentication/FormSignUp";

export default {
  name: 'LoginForm',

  components: {
    FormSignUp,
    Logo,
    FormLogin
  },

  data: () => ({
    // resetPassword: false
  }),

  computed: {
    background () {
      return {
        backgroundImage: `url(${require('@/assets/images/background/login.png')})`
      }
    }
  }
}
</script>

<style lang="scss" scoped>
  .login {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: calc(100% - 100px);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
</style>
